{open Parser;; open Lexing ;;
 exception Erreur_lexicale;;
}
rule terminal = parse
  | [' ''\n''\t']{terminal lexbuf}
  | ","{VIRGULE}
  | "("{PARG}
  | ")"{PARD}
  | "-"{NON}
  | ";;"{FIN}
  | "quitter"{QUITTER}
  | "aide"{AIDE}
  | "preuve"{PREUVE}
  | "trace"{TRACE}
  | "sans_trace"{SANSTRACE}
  | "positive"{POSITIVE}
  | "ngative"{NEGATIVE}
  | "normale"{NORMALE}
  | "info"{INFO}
  | "max_hc"{MAXHC}
  | "max_lc"{MAXLC}
  | "max_dure"{MAXD}
  | ['0'-'9']['0'-'9']*{INT (int_of_string (lexeme lexbuf))} 
  | ['a'-'z''A'-'Z']['a'-'z''A'-'Z''0'-'9''_']* {VAR (lexeme lexbuf)}
  | _{raise Erreur_lexicale}

{}
